﻿using UnityEngine;
using System.Collections;
using System;

public class spheresound4 : MonoBehaviour {
	int objno = 0;
	rtcmixmain RTcmix;
    private bool did_start = false;

	public TextAsset grantextfile;
	String granscore;

    private void Awake()
    {
        RTcmix = GameObject.Find("RTcmixmain").GetComponent<rtcmixmain>();
    }

    // Use this for initialization
    void Start () {
		RTcmix.initRTcmix (objno);

		granscore = grantextfile.text;

		RTcmix.SendScore (granscore, objno);

        did_start = true;
	}

	// Update is called once per frame
	void Update () {

	}

	void OnAudioFilterRead(float[] data, int channels) {
        if (!did_start) return;

		RTcmix.runRTcmix (data, objno, 0);

		if (RTcmix.checkbangRTcmix (objno) == 1) {
			RTcmix.SendScore (granscore, objno);
		}
	}

	void OnApplicationQuit() {
        RTcmix = null;
        did_start = false;
	}
}
